Skip to main content
POST
/
files
Create a file
curl --request POST \
  --url https://api.engine.usesophic.com/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signed_upload": "<string>"
}
'
{
  "id": "<string>",
  "filename": "<string>",
  "content_type": "<string>",
  "purpose": "verification_evidence",
  "signed_upload": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
signed_upload
string
required

The Signed Upload to create the file from.

Response

Created

Uploaded File resource.

id
string
required

Unique resource identifier.

filename
string
required

The name of the file that was uploaded.

content_type
string
required

The content type of the file that was uploaded.

purpose
enum<string>
required

The purpose of the file.

Available options:
verification_evidence,
legal_document,
welcome_letter,
trade_confirmation,
fee_statement,
account_statement
signed_upload
string | null
required

The ID of the signed upload that created this file.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.